<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~consentform.js" 
	styles="path.css,~../css/reggie-2.css" 
/>
<base:body>

	<p:path><p:pathelement id="reggie-index"
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Consent form registration" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

		<div class="step" id="step-1">
			<div class="step-no">1</div>
			<div class="step-title">Enter Case Name</div>
			<div class="step-content">

				<table class="step-form">
				<tr>
					<td class="prompt">Case name</td>
					<td class="input"><input type="text" name="caseName" id="caseName"
						class="required auto-init" data-auto-init="focus"
						style="width: 12em;" maxlength="12"></td>
					<td class="status" id="caseName.status"></td>
					<td class="help">
						<span id="caseName.message" class="message"></span>
						The 7-digit case (barcode) associated with the case.
					</td>
				</tr>
				</table>

			</div>
		</div>
	
		<div class="step" id="step-2">
			<div class="step-no">2</div>
			<div class="step-title">Consent form</div>
			<div class="step-content">
			
			<table class="step-form">
			<tr>
				<td class="prompt">Date</td>
				<td class="input"><input type="text" name="consentDate" id="consentDate"
						style="width: 12em;" maxlength="10" data-allow-six-digits="1"></td>
				<td class="status" id="consentDate.status"></td>
				<td class="help">
					<span id="consentDate.message" class="message"></span>
					(YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr>
				<td class="prompt">Consent</td>
				<td class="input">
					
					<label id="consent.no.label" class="disabled">
						<input id="consent.no" type="radio" name="consent" value="No" disabled>
						No</label><br>
					<label id="consent.yes.label" class="disabled">
						<input id="consent.yes" type="radio" name="consent" value="Yes" disabled>
						Yes</label><br>
					<div id="moreCasesSection" style="display: none;">
						<table>
						<tr valign="baseline">
							<td><img src="../images/joinbottom.gif"></td>
							<td id="moreCases"></td>
						</tr>
						</table>
					</div>
					<label id="consent.notAsked.label" class="disabled">
						<input id="consent.notAsked" type="radio" name="consent" value="Not asked" disabled>
						Not asked</label>
						
				</td>
				<td class="status" id="consent.status"></td>
				<td class="help" rowspan="2">
					<span id="consent.message" class="message"></span>
					<span id="morehelp.multiple" style="display:none;">
						Select the cases and blood samples to register.
					</span>
					<span id="morehelp.yesonly" style="display: none;">
						<b>Yes</b> is the only option supported by this wizard. The other alternatives 
						may require manual deletion of already registered information.
					</span>
					<span id="morehelp.any" style="display: none;">
						There is currently no information about this case.
					</span>
				</td>
			</tr>
			<tr>
				<td class="subprompt">Reason if not asked</td>
				<td class="input">
					<table>
					<tr valign="baseline">
						<td><img src="../images/joinbottom.gif"></td>
						<td><input id="notAsked.forgot" type="checkbox" name="reasonIfNotAsked" disabled></td>
						<td><label id="notAsked.forgot.label" for="notAsked.forgot" class="disabled">Forgot to ask the patient</label></td>
					</tr>
					
					<tr valign="baseline">
						<td></td>
						<td><input id="notAsked.language" type="checkbox" name="reasonIfNotAsked" disabled></td>
						<td><label id="notAsked.language.label" for="notAsked.language" class="disabled">Language problems</label></td>
					</tr>

					<tr valign="baseline">
						<td></td>
						<td><input id="notAsked.condition" type="checkbox" name="reasonIfNotAsked" disabled></td>
						<td><label id="notAsked.condition.label" for="notAsked.condition" class="disabled">Patient can't decide due to physical and/or mental condition</label></td>
					</tr>

					<tr valign="baseline">
						<td></td>
						<td><input id="notAsked.other" type="checkbox" name="reasonIfNotAsked" disabled></td>
						<td><label id="notAsked.other.label" for="notAsked.other" class="disabled">Other:</label></td>
					</tr>

					<tr valign="baseline">
						<td></td>
						<td colspan="2">
						<textarea name="otherReasonIfNotAsked" id="otherReasonIfNotAsked" rows="4" disabled></textarea>
						</td>
					</tr>
					</table>
				</td>
				<td class="status" id="notAsked.status"></td>
			</tr>
			</table>
			</div>
		</div>
	
		<div id="wizard-status"></div>
	
		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>